NodeResource
RESTful endpoint for managing a cluster connection.
The following resources are applicable:
/cluster/nodes/{id}
Mount Point: /rest/cluster/nodes/{id}
The following operations are supported on this resource:
GET
Gets the contents of the specified node in this NiFi cluster.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The node id. | path |
Response Body
| element: | nodeEntity |
| media types: | application/xml application/json |
A nodeEntity.
PUT
Updates the contents of the specified node in this NiFi cluster.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the node. | path | |
| status | The status of the node. | form | |
| primary | Whether the node should be make primary. | form |
Response Body
| element: | nodeEntity |
| media types: | application/xml application/json |
A nodeEntity
PUT
Updates the contents of the specified node in this NiFi cluster.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the node | path |
Request Body
| element: | nodeEntity |
| media types: | application/xml application/json |
A nodeEntity
Response Body
| element: | nodeEntity |
| media types: | application/xml application/json |
A nodeEntity
DELETE
Removes the specified from this NiFi cluster.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the node | path |
Response Body
| element: | nodeEntity |
| media types: | */* application/xml |
A nodeEntity
/cluster/nodes/{id}/status
Mount Point: /rest/cluster/nodes/{id}/status
GET
Gets the status for the specified node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the node. | path |
Response Body
| element: | processGroupStatusEntity |
| media types: | application/xml application/json |
A processGroupStatusEntity
/cluster/nodes/{id}/system-diagnostics
Mount Point: /rest/cluster/nodes/{id}/system-diagnostics
GET
Gets the system diagnositics for the specified node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the node. | path |
Response Body
| element: | systemDiagnosticsEntity |
| media types: | application/xml application/json |
A systemDiagnosticsEntity